<?php

namespace App\Install;

use A7kz\Platform\Modules\Platform\Navigation\Facades\Nav;
use A7kz\Platform\Modules\Platform\Navigation\Models\NavItem;

class Seed
{
    static function init(): void
    {
        self::apps();
        self::nav();
    }

    private static function apps(): void
    {
        Nav::add(new NavItem('pipicar', '/app/main', 1, 'Главная',  ["admin","director","coworker","observer","moderator"], 'star'));
        Nav::add(new NavItem('pipicar-nav-auto', null, 1, 'Автомобили',  ["admin"], 'car-front'));
        Nav::add(new NavItem('auto', '/app/pipicar.auto', 1, 'Машины',  ["admin"], 'car-front'), 'pipicar-nav-auto');
        Nav::add(new NavItem('models', '/app/pipicar.brand_models', 1, 'Модели',  ["admin"], 'car-front'), 'pipicar-nav-auto');
        Nav::add(new NavItem('orders', '/app/pipicar.auto_orders', 1, 'Заявки',  ["admin"], 'car-front'), 'pipicar-nav-auto');
    }
    private static function nav(): void
    {}
}
